/* KallistiGL for KOS 1.1.3

   glmisc.c
   (c)2001 Dan Potter
*/

static char id[] = "KGL $Id: glmisc.c,v 1.1 2001/09/09 23:58:36 bard Exp $";

#include <GL/gl.h>
#include <GL/glu.h>
#include "glinternal.h"

#include <stdio.h>

/* Miscellaneous APIs */

/* Set the background clear color */
void glClearColor(GLclampf red,
		GLclampf green,
		GLclampf blue,
		GLclampf alpha) {
	gl_clear_color[0] = red;
	gl_clear_color[1] = green;
	gl_clear_color[2] = blue;
	gl_clear_color[3] = alpha;
}

/* NOP: there's nothing to clear on the PVR2 */
void glClear(GLbitfield mask) {
}

/* Enable / disable capabilities */
void glEnable(GLenum cap) {
	switch(cap) {
	case GL_TEXTURE_2D:
		gl_pbuf_submitted = GL_FALSE;
		break;
	}

	gl_capabilities |= (GLbitfield)cap;
}

void glDisable(GLenum cap) {
	switch(cap) {
	case GL_TEXTURE_2D:
		gl_pbuf_submitted = GL_FALSE;
		gl_pbuf = &gl_pbuf_col_opaque;
		break;
	}

	gl_capabilities &= ~((GLbitfield)cap);
}

/* We have no rendering pipeline yet, so this is a NOP */
void glFlush() {
}

/* There aren't any useful hints to set yet, so this is a NOP */
void glHint(GLenum target, GLenum mode) {
}



